function [indices, indices_off] = plugin_tag_find_indices(obj, transformed_data)
% default find_indices function

    %% find the crossings
    
    % see also fb_abstract.tag.transform_indices
    if ~isempty(obj.TAG_THRESHOLD_UP)
        % swap upper and lower threshold if user confused them
        if obj.TAG_THRESHOLD_UP < obj.TAG_THRESHOLD
            orig_down = obj.TAG_THRESHOLD;
            orig_up = obj.TAG_THRESHOLD_UP;
            obj.TAG_THRESHOLD = orig_up;
            obj.TAG_THRESHOLD_UP = orig_down;
        end
        
        
        
        indices = find(transformed_data > obj.TAG_THRESHOLD & transformed_data < obj.TAG_THRESHOLD_UP);

    % standard case
    else
        indices = find(transformed_data > obj.TAG_THRESHOLD);
    end
    
    indices_off = find(transformed_data < obj.TAG_THRESHOLD);
end
%% EOF
