function [ songdetection ] = DetectSongs( harmonics2,Param,HeadMic_Accel )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
NAbove = Param.BuffersAbovePositiveAll(1);
Span = Param.BuffersAbovePositiveAll(2);
hLength = length(harmonics2)-Span; %no (+1) - detection event will be recorded 4 ms later - like in Recorder(?)
songdetection = zeros(1,hLength,'uint8');
for I_t = 1:hLength
 songdetection(I_t+Span) = ...  %here no -1 as before
  sum(harmonics2(I_t-1+(1:Span))>...
      Param.SongDetectionThreshold(HeadMic_Accel+1))>NAbove;
end

