function [Shift, Value] = GetShiftsG(A_short, A_long, GPU)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
 if GPU %GPU is present and selected
   A_shortGPU = gpuArray(single(flipud(A_short)));
   A_longGPU = gpuArray(single(A_long));
   R0 = filter(A_shortGPU-0.5,1,A_longGPU-0.5);
   R = gather(R0);
   L = length(A_long)-length(A_short);
   [Value Shift] = max(R(end-(L:-1:0)));
 else %no GPU is present ot it is not selected
   R = filter(double(flipud(A_short))-0.5,1,double(A_long)-0.5);
   L = length(A_long)-length(A_short);
   [Value Shift] = max(R(end-(L:-1:0)));  
 end    
end

