function plugin_tag_plot(obj)
%% default plotting function used to plot tagging data - I guess it's
% actually an antiquated concept.

    %% do we need to plot additional data (that would be available in
    % TAG_RAW_OUTPUT)?
    if isempty(obj.TAG_RAW_OUTPUT)
        return;
    end

    %% plot the RAW DATA in units of seconds
    x_buffered = get(obj.PluginHandle, 'XData');
    
    % TAG_RAW_OUTPUT_HANDLE might not be a handle anymore, if 
    % a) user closed the plugin
    % b) user saved the plugin
    if obj.TAG_RAW_OUTPUT_SETUP == 0 || ishandle(obj.TAG_RAW_OUTPUT_HANDLE) == 0
        obj.tag_setup_TAG_RAW_OUTPUT_HANDLE();
        obj.TAG_RAW_OUTPUT_SETUP = 1;
    end
    
    %% plot raw data
    set(obj.TAG_RAW_OUTPUT_HANDLE, 'XData', x_buffered, 'YData', obj.TAG_RAW_OUTPUT);
    
end
%% EOF
