function [ NI_BP Param ] = GetNewFilesStartStop( NI_BP, Param )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
  StartStop = cell(length(Param.SongSelection),length(Param.scanrateDesired));
  Fcount = zeros(length(Param.SongSelection),length(Param.scanrateDesired));
  for SSel_t = 1:length(Param.SongSelection)
    for ScanDes_t = 1:length(Param.scanrateDesired)
      SongSelection = Param.SongSelection(SSel_t);  
      scanrateDesired = Param.scanrateDesired(ScanDes_t);
      switch SongSelection
          case 1
              if Param.Playback
                  NIsync = 5;
              else
                  NIsync = 4;
              end    
          case 2 
              NIsync = length(NI_BP.Channels)-1;  
          case 3 
              NIsync = length(NI_BP.Channels);
          case 4 %here we take the whole record and split in NFiles (was 12 files)  
              NIsync = 0;
              Flength = size(NI_BP.Data,1);
              if Param.LVDFile || (max(Param.scanrateDesired)>19200) %(scanrateDesired==Param.scanrateBP)
                Flength = floor(Flength*Param.scanrateBP/Param.scanrateMax);  
              end
              NFiles = Param.NFiles;
              Step = ceil(double(Flength)/NFiles);
              Fcount(SSel_t,ScanDes_t) = NFiles;
              StartStop{SSel_t,ScanDes_t} = zeros(NFiles,2);
              for I_t = 1:NFiles
                StartStop{SSel_t,ScanDes_t}(I_t,:) = [Step*(I_t-1)+1 Step*I_t];
              end
              StartStop{SSel_t,ScanDes_t}(NFiles,2) = Flength;
      end 
  if NIsync>0
     Sync = NI_BP.Data(:,NIsync);        
      if (scanrateDesired==Param.scanrateBP) %resample Sync
         N=floor(length(Sync)*Param.scanrateBP/Param.scanrateMax);
         %Sync = uint8(interpft(single(Sync),N)>0.5);
         V = (1+(1:N)-1)*Param.scanrateMax/Param.scanrateBP;
         Sync = int16(interp1(single(Sync),V,'nearest'));
      end  
  StartStop_t = [];
  Fcount_t = 0;
  InFile = false;
  PredDetection = -(Param.Pre+Param.Post)*scanrateDesired; %-3 sec
  Pre = Param.Pre*scanrateDesired;
  Post = Param.Post*scanrateDesired;
  StartSeqL = round(105*60/38000*scanrateDesired); %150 - with reserve, 100 should be OK
  for I_t = StartSeqL:length(Sync)
    if (Sync(I_t)==0)&&(InFile)&&(PredDetection+Post+Pre<I_t) %close file
      StartStop_t(Fcount_t,2)=PredDetection+Post-1;
      InFile = false;
    end    
    if (~InFile)&&(Sync(I_t)==1)    %start file
      InFile = true;
      PredDetection = I_t;
      Fcount_t = Fcount_t+1;
      StartStop_t(Fcount_t,1) = max(1,PredDetection-Pre);
      StartStop_t(Fcount_t,2) = 1e15;   %just to avoid "out of bounds" in case of one file
    end
    if (InFile)&&(Sync(I_t-1)==0)&&(Sync(I_t)==1)
      PredDetection = I_t;  
    end    
  end
  StartStop_t(1,1) = max(1,StartStop_t(1,1));
  StartStop_t(end,2) = min(length(Sync),StartStop_t(end,2));
  Fcount(SSel_t,ScanDes_t) = Fcount_t;
  StartStop{SSel_t,ScanDes_t} = StartStop_t;
  end    
    end 
  end
  NI_BP.StartStop = StartStop;
  NI_BP.Fcount = Fcount;
end

